# Get campaign rows

`GET https://www.getrevox.com/api/campaigns/{id}/rows`

Retrieve all contact rows for a campaign.

## Path parameters

- `id` (string, required)

## Example request

```bash
curl -X GET https://www.getrevox.com/api/campaigns/3c90c3cc-0d44-4b50-8888-8dd25736052a/rows \
  -H "Authorization: Bearer $REVOX_API_KEY"
```

## Responses

### 200: Success

- `rows` (array of object, required)
  - `id` (string, required)
  - `row_index` (number, required)
  - `phone_number` (string, required)
  - `input_data` (map of string, required)
  - `call` ([Call](https://www.getrevox.com/docs/api/objects/call.md), optional)

### 404: Not found in your organization

- `error` (string, required)